<?php
if (isset($_FILES['file'])) {
  if (!file_exists('files')) {
    mkdir('files');
  }
  $name = $_FILES['file']['name'];
  $size = $_FILES['file']['size'];
  $type = $_FILES['file']['type'];

  $destination = 'files/' . $name;
  if (file_exists($destination)) {
    $basename = basename($name);
    $pos = strrpos($basename, '.');
    if ($pos !== FALSE) {
      $name = substr($basename, 0, $pos);
      $ext = substr($basename, $pos);
    } else {
      $name = $basename;
      $ext = '';
    }

    $counter = 0;
    $filename = $name;
    do {
      $name = $filename . '_' . $counter . $ext;
      $destination = 'files/' . $name;
      $counter++;
    } while (file_exists($destination));
  }
  $source = $_FILES['file']['tmp_name'];
  $success = move_uploaded_file($source, $destination);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
 <title>Fájl feltöltés</title>
 <meta http-equiv="Content-Type" content="text/html;	charset=utf-8" />
</head>
<body>
 <div id="tartalom">
  <?php if ($success) { ?>
  <h1>Fájl feltöltve</h1>
  <dl>
    <dt>Név</dt>
    <dd><?php echo $name; ?></dd>
    <dt>Méret</dt>
    <dd><?php echo $size; ?></dd>
    <dt>Típus</dt>
    <dd><?php echo $type; ?></dd>
    <dt>Ideiglenes fájl</dt>
    <dd><?php echo $source; ?></dd>
    <dt>Cél fájl</dt>
    <dd><?php echo $destination; ?></dd>
  </dl>
  <?php } else { ?>
  <p>A feltöltés nem sikerült.</p>
  <?php } ?>
 </div>
</body>
</html>
